List of all members
clan::TransferBufferProvider Class Referenceabstract
clanDisplay Display

Transfer Buffer provider. More...

`#include <transfer_buffer_provider.h>`

## Public Member Functions
Construction
virtual | ~TransferBufferProvider ()
virtual void | create (int size, BufferUsage usage)=0
| Constructs a array buffer. More...
virtual void | create (void *data, int size, BufferUsage usage)=0
| Create. More...
Attributes
virtual void * | get_data ()=0
| Retrieves a pointer to the mapped buffer. More...
Operations
virtual void | lock (GraphicContext &gc, BufferAccess access)=0
| Maps buffer into system memory. More...
virtual void | unlock ()=0
| Unmaps buffer. More...
virtual void | upload_data (GraphicContext &gc, int offset, const void *data, int size)=0
| Uploads data to buffer. More...

## Detailed Description

Transfer Buffer provider.

The documentation for this class was generated from the following file:

- transfer_buffer_provider.h